%define name libmowgli
%define version 0.6.0
%define release %mkrel 1

%define major 1
%define libname %mklibname mowgli %major
%define libnamedev %mklibname -d mowgli

Summary: Development framework with high performance algorithms
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://distfiles.atheme.org/libmowgli-%version.tbz2
License: BSD
Group: System/Libraries
Url: http://www.atheme-project.org/projects/mowgli.shtml

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.


%package -n %libname
Group: System/Libraries
Summary: Development framework library

%description -n %libname
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %libnamedev
Group: Development/C
Summary: Development framework header files
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%_libdir/libmowgli.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc AUTHORS
%_libdir/libmowgli.so
%_libdir/pkgconfig/libmowgli.pc
%_includedir/%name/


%changelog
* Tue Jan 29 2008 Doktor5000 <rpm@mandrivauser.de> 0.6.0-1mud2008.0
- rebuild for Mandrivalinux 2008.0
- required for audacious 1.4.5

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 140063
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 98443
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 96174
- new version

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 54554
- Import libmowgli



* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.0
- initial package
